/*!
 * \file ftdi.h
 *
 * \author FTDI
 * \date 20120114
 *
 * Copyright  2011 Future Technology Devices International Limited
 * Company Confidential
 *
 * Project: FT12x
 * Module: LPC1114-FT12x Eval
 *
 * Rivision History:
 * 0.1 - initial version
 */

#ifndef __FTDI_H__
#define __FTDI_H__


#include "al.h"


#define DISABLE	disable()
#define ENABLE	enable()

#define MSG_EMERG	0	/*Used for emergency messages, usually those that precede a crash*/
#define MSG_ALERT	1	/*A situation requiring immediate action */
#define MSG_CRIT	2	/*Critical conditions, often related to serious hardware or software failures */
#define MSG_ERR		3	/*Used to report error conditions */
#define MSG_WARN	4	/*Warnings about problematic situations that do not, in themselves, create serious problems with the system */
#define MSG_NOTICE	5	/*Situations that are normal, but still worthy of note. */
#define MSG_INFO	6	/*Informational messages */
#define MSG_DEBUG	7	/*Used for debugging messages */


#ifdef INFRA_DEBUG_ENABLE
	extern char DebugBuffer[];
	#define TDBG(level,...) do { if (level <= currentDebugLevel){ 						\
	sprintf(DebugBuffer,__VA_ARGS__);													\
	UARTSend((uint8_t*) DebugBuffer,(uint32_t) strlen(DebugBuffer));					\
	}} while (0)
	#define DBG(level,fmt,...)	;
#else
	#define TDBG(level,fmt,...)	;
	#define DBG(level,fmt,...)	;
#endif



void disable(void);
void enable(void);
void outportb( int Port, unsigned char Byte );
unsigned char inportb( int Port);
unsigned char getvect( int Port);
void setvect( int vector, int addr);
unsigned char bioskey(unsigned char key);
unsigned long FP_SEG(unsigned long a);
unsigned long FP_OFF(int a);
void farfree( int buffer);
unsigned char farmalloc(int a);
void exit(int i);

#endif /* __FTDI_H__ */

