/*!
 * \file main.c
 *
 * \author FTDI
 * \date 20120114
 *
 * Copyright  2011 Future Technology Devices International Limited
 * Company Confidential
 *
 * Project: FT12x
 * Module: LPC1114-FT12x Eval
 *
 * Rivision History:
 * 0.1 - initial version
 */


#ifdef __USE_CMSIS
#include "LPC11xx.h"
#endif

#include <cr_section_macros.h>
#include <NXP/crp.h>

#include<stdio.h>

#include "..//FT12x//include//al.h"

extern void SetupIOLines(void);
extern void UARTInit(uint32_t baudrate);

extern char *Dbg_Fifo;
extern char dbgCount;

#ifdef  INFRA_DEBUG_ENABLE
	char DebugBuffer[SIZE_DEBUG_BUFFER];
#endif

__CRP const unsigned int CRP_WORD = CRP_NO_CRP ;

int main(void)
{
	// setup interrupt to call fn_usb_isr
	SetupIOLines();

#ifdef INFRA_DEBUG_ENABLE
	UARTInit(UART_BAUD_RATE);
#endif

	DBG(MSG_DEBUG, "\r\n");
	DBG(MSG_DEBUG, "*******************************\r\n");
	DBG(MSG_DEBUG, "Starting LPC1114-FT12x firmware baud=%u PSP=0x%x MSP=0x%x\r\n",(unsigned)UART_BAUD_RATE,(unsigned)__get_PSP,(unsigned)__get_MSP);
	DBG(MSG_DEBUG, "*******************************\r\n");
	DBG(MSG_DEBUG, "\r\n");

	//setup SYSTICK call timer_isr
	ClockTicks=0;
	 if (SysTick_Config(SystemCoreClock/1000)) /* Number of ticks between two interrupts */
	 {							
	    while (1);
	 }
	isr_pending=0;

	FT12x_main();

	return 0 ;
}
